﻿using System.Windows;

namespace HierarchicalGrid
{
    using System.Text;

    using HierarchicalGrid.ViewModel;

    using Infragistics.Windows.DataPresenter;

    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new MainWindowViewModel();
        }

        private void EmployeeGrid_AssigningFieldLayoutToItem(object sender, Infragistics.Windows.DataPresenter.Events.AssigningFieldLayoutToItemEventArgs e)
        {
            XamDataGrid xg = sender as XamDataGrid;
            if (xg.FieldLayouts.Count < 2) return;
            e.FieldLayout = e.ParentExpandableFieldRecord == null ? xg.FieldLayouts["Parent"] : xg.FieldLayouts["Child"];
        }

    }
}
    