﻿namespace HierarchicalGrid.Converter
{
    using System;
    using System.Windows;
    using System.Windows.Data;

    public class MyConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null) return Binding.DoNothing;

            if (parameter != null && parameter.ToString() == "drp") return new Thickness((((int)value / 2) * -17), 0, 0, 0);
            return -(((int)value / 2) * 17);
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
